petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSComputeI2Jacobian

Evaluates the Jacobian of the DAE

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeI2Jacobian(TS ts,PetscReal t,Vec U,Vec V,Vec A,PetscReal shiftV,PetscReal shiftA,Mat J,Mat P)

Collective on TS and Vec Many br

### Input Parameters

| ts | - the TS context Many br
| t | - current timestep Many br
| U | - state vector Many br
| V | - time derivative of state vector Many br
| A | - second time derivative of state vector Many br
| shiftV | - shift to apply, see note below Many br
| shiftA | - shift to apply, see note below Many br

### Output Parameters

| J | - Jacobian matrix Many br
| P | - optional preconditioning matrix Many br

### Notes

If F(t,U,V,A)=0 is the DAE, the required Jacobian is Many br

dF/dU + shiftV*dF/dV + shiftA*dF/dA Many br

Most users should not need to explicitly call this routine, as it Many bris used internally within the nonlinear solvers. Many br

Many br

### Keywords

TS, compute, Jacobian, matrix

### See Also

TSSetI2Jacobian()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages